QGrid(3qt)

NAME
QGrid - Performs geometry management on its children

SYNOPSIS

#include <qgrid.h>

Inherits QFrame.

  Public Members
enum Direction { Horizontal, Vertical }
QGrid ( int n, QWidget * parent=0, const char * name=0, WFlags f=0 )
QGrid ( int n, Direction, QWidget * parent=0, const char * name=0, WFlags f=0 )
void setSpacing ( int )

DESCRIPTION
The QGrid widget performs geometry management on its children

The number of rows or columns is defined in the constructor. All its children will be placed and sized according to their sizeHint() and sizePolicy() return values.

Use setMargin() to add space around the edge, and use setSpacing() to add space between the widgets.

<img src=qgrid-m.png>

For more general control over grid layout, including multi-column and multi-row widgets, use the QGridLayout class directly.

See also QVBox and QHBox.

MEMBER FUNCTION DOCUMENTATION

QGrid::QGrid ( int n, QWidget * parent=0, const char * name=0, WFlags f=0 )
Constructs a grid widget with parent parent and name name. n specifies the number of columns.

QGrid::QGrid ( int n, Direction dir, QWidget * parent=0, const char * name=0, WFlags f=0 )
Constructs a grid widget with parent parent and name name. If dir is Horizontal, n specifies the number of columns. If dir is Vertical, n specifies the number of rows.

void QGrid::frameChanged () [virtual protected]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QFrame.

void QGrid::setSpacing ( int space )
Sets the spacing between children to space.

QSize QGrid::sizeHint () const [virtual]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QWidget.

SEE ALSO
http://doc.trolltech.com/qgrid.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.